Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360527 - (6.4.z) Accept header matching
Summary: (6.4.z) Accept header matching
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy
Version: 6.4.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.10
Assignee: jboss-set
QA Contact: Peter Mackay
URL:
Whiteboard:
Depends On:
Blocks: 1324261 eap6410-payload
TreeView+ depends on / blocked
 
Reported: 2016-07-27 01:55 UTC by Chao Wang
Modified: 2017-01-17 12:57 UTC (History)
5 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 12:57:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker RESTEASY-1175 Major Closed Accept header matching 2017-03-14 08:24:32 UTC

Description Chao Wang 2016-07-27 01:55:27 UTC
Resteasy library is being very strict about the "Accepts" header matching. The ODta4J library when it defined the "$metadata" service it defined one of its "accept" headers as "application/xml;charset=utf-8".

When client issues a "$metadata" call for metadata service, the client uses "application/xml" (omits the charset=utf-8) as its "accept" header, Resteasy while matching the requests it does not like it, it expects EXACTLY same header like "application/xml;charser=utf-8" not even allows different case of the header like "applicatoin/xml;charset=UTF-8"

Comment 3 Peter Mackay 2016-08-30 11:00:12 UTC
Verified with EAP 6.4.10.CP.CR2

Comment 4 Petr Penicka 2017-01-17 12:57:55 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.